Subject: bug#3863: 23.1.50; possible save-match-data in copyright.el

From: Chong Yidong <[email-masked]>
Date: Thu, 16 Jul 2009 14:54:59 -0400

Stefan Monnier <[email-masked]> writes:

> Why?  y-or-n-p will yield waiting for user input, so it's basically
> a point where any other code can run.  It's one of the prime examples of
> a function which you can't expect to preserve the match-data.

I'm not sure what you're referring to.  What other code runs during
y-or-n-p (excluding timers, which are supposed to save the match data)?